<?php
namespace Modules\Admin\AgencyCreditCards;

use App\Mvc\View\Utils\Types\ListingColumns;
use App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{

	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('number')
			)
			->append(
				ListingColumn::create('company')
			)
			->append(
				ListingColumn::create('expireDate')
			)
			->append(
				ListingColumn::create('comments')
			)
			->append(
				ListingColumn::create('idAddUser')
					->setType('userLabel')
			)
			->append(
				ListingColumn::create('addTime')
					->setSortable('DESC')->setType('datetime')
			)
		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}